#include <iostream>

using namespace std;

int h[1010];

int main()
{
    int l, n;
    cin >> n >> l;
    for(int i = 0; i < n; i++)
        cin >> h[i];
    for(int i = 0; i < n; i++){
        if(i == n-1 && l < h[i]){
            cout << "-1";
            return 1;
        }
        if(l >= h[i]){
            cout << i+1;
            return 1;
        }
    }
    return 0;
}